/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"gbview.h"
#include	"xlerror.h"
#include	"xl.h"
#include	"win_flame.h"

XL_SEXP * xl_gv_flame_purge_select();




void
init_gv_flame_purge_select(XLISP_ENV * env)
{
	set_env(env,l_string(std_cm,"gv-flame-purge-select"),
		get_func_prim(xl_gv_flame_purge_select,FO_APPLICATIVE,0,1,1));
}


XL_SEXP * xl_gv_flame_purge_select(
	XLISP_ENV * e,
	XL_SEXP * s,
	XLISP_ENV * a,
	XL_SYM_FIELD * sf)
{
GBVIEW_FLAME * gf;
	gf = get_gf_from_sf(sf);
	return get_integer(wf_purge_select(gf),0);
}
